/* MESSAGE */

.ui-message {
		position: relative;
		padding: 10px;
		color: #656358;
		background: #fff8ca;
		border: dotted 1px #e0d89c;
		margin: 1em 0;
}


.ui-message.error {
		color: #861919;
		background: #ffe0d8;
		border: 1px dotted #e6ccc6;
}

.ui-message.success {
		color: #13A639;
		background: #d6ead4;
		border: 1px dotted #b9cab7;
}


.ui-error {
		color: #861919;
		background: #ffe0d8;
}

/* FLOATING MESSAGE */

.ui-floatingMessage {
		position: fixed;
		top: 47%;
		left: 50%;
		margin-left: -150px;
		width: 300px;
		padding: 30px 40px;
		color: #656358;
		background: #fff8ca;
		border: solid 1px #e0d89c;
		text-align: center;
		z-index: 10000;
}


.ui-floatingMessage .ui-floatingMessage-close {
		position: absolute;
		display: block;
		top: 2px;
		right: 2px;
		width: 16px;
		height: 16px;
		background: url("../images/ui-floatingmessage-close.png") no-repeat 0 0;
}


.ui-floatingMessage.error .ui-floatingMessage-close {
		background-position: 0 -15px;
}


.ui-floatingMessage.success .ui-floatingMessage-close {
		background-position: 0 -30px;
}




/* CALENDAR */

.ui-calendar {
		position: relative;
		padding-right: 19px;
}

.ui-calendar-input {
		width: 100% !important;
		margin-right: 17px;
		height: 15px;
}

.ui-calendar-browse {
		position: absolute;
		display: block;
		top: 0;
		right: 0;
		height: 17px;
		width: 17px;
		background: url("../images/icon_calendar.png") no-repeat left top;
		overflow: hidden;
}

.ui-calendar-browse:hover {
		background-position: left bottom;
}




/* AMOUNT */

.ui-amount {
		position:relative; 
		padding-right: 13px;
}

.ui-amount-input {
		width: 100% !important;
		margin-right: 11px;
		text-align: right !important;
		height: 15px;
}

.ui-amount-controls {
		position: absolute;
		display: block;
		top: 0;
		right: 0;
		_right: 13px;
		width: 11px;
		height: 17px;
		overflow: hidden;
}

.ui-amount-controls-increase {
		display: block;
		background: url('../images/amount.gif') no-repeat left top;
		width: 11px;
		height: 8px;
		overflow: hidden;
}

.ui-amount-controls-increase:hover {
		background: url(../images/amount.gif) no-repeat right top;
}

.ui-amount-controls-decrease {
		display: block;
		background: url('../images/amount.gif') no-repeat left -9px;
		width: 11px;
		height: 9px;
		overflow: hidden;
}

.ui-amount-controls-decrease:hover {
		background: url('../images/amount.gif') no-repeat right -9px;
}




/* PROGRESS */






/* SLIDER */




/* POPUP */

.ui-overlay {
		position: fixed;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		z-index: 600;
		background-color: #000;
		opacity: 0.5;
		-moz-opacity: 0.5;
}



.ui-popup {
		position: fixed;
		top: 50px;
		left: 50%;
		margin-left: -270px;
		width: 500px;
		padding: 20px; /*25px*/
		color: #303940;
		font-size: 12px;
		line-height: normal;
		text-transform: none;
		text-align: left;
		background-color: #c5ced4;
		-moz-border-radius: 6px;
		-webkit-border-radius: 6px;
		-moz-box-shadow: 0px 2px 7px #333;
		-webkit-box-shadow: 0px 2px 7px #333;
		cursor: default;
		z-index: 1000;
}

.ui-confirm-overlay {
		position: fixed;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		z-index: 1005;		/* Peab olema suurem, kui .ui-popup ja v�iksem, kui .popup-confirm */ 
		background-color: #000; 
		opacity: 0.5; 
		-moz-opacity: 0.5; 
}

.popup-confirm {
		width: 300px;
		margin-left: -170px;
		top: 65px;
		z-index: 1010;		/* K�simuse dialoog ilmuks k�rgemale muudest dialoogidest */ 
}

.ui-popup a.close {
		display: block;
		position: absolute;
		height: 20px;
		width: 20px;
		top: 8px;
		right: 6px;
		background: url("../images/popup-close.png") no-repeat 0 0;
		z-index: 50;
		cursor: default;
}

.ui-popup a.close:hover {
		background-position: -20px 0;
}

.ui-popup a.close:active {
		background-position: -40px 0;
}

.ui-popup .popup-head {
		position: relative;
		margin: -20px -20px 0 -20px;		/* See v�rk siin on selleks, et popupi p�is oleks ��rest-��reni */
		padding: 10px 20px 10px 20px;		/* dragitav, samas sisu selectimisel ei tekiks selection ��rteni */
}

.ui-popup .popup-head:hover {
		background-color: #bbc4ca;
		-moz-border-radius: 6px;
		-webkit-border-radius: 6px;
}

.ui-popup .popup-head:active {
		cursor: move;
}



.ui-popup .popup-head h2 {
		margin: 0;
		padding-top: 0;
		font-weight: normal;
		font-size: 17px;
		font-family: inherit;
		line-height: normal;
		text-transform: inherit;
		text-align: inherit;
		color: inherit;
		color: #31597b;
}

.ui-popup .popup-body {
		position: relative;
		margin: 15px 0 25px 0;
		padding: 0;
		line-height: 1.6em;
		overflow: auto; /* Et liiga k�rge popupi sisu ei ajaks jalust ekraani ��re taha */
		max-height: 500px; /* M��ratud m��dust k�rgem sisu tekitab popupi sisusse kerimise */
		max-width: 100%;
		padding-right: 10px; /* Et popupi sisus olevad asjad ei s�idaks vastu kerimisriba, vaid j��ks neile mingi m�istlik �huvahe */
		z-index: 30;
}

.ui-popup .popup-foot {
		min-height: 34px;
		text-align: center;
		margin: 25px 0 0 0;
		padding: 0;
		/*border: 1px solid red;*/
		z-index: 10;
}

.ui-popup .popup-body fieldset table {
		width: 100% !important;
}


.ui-popup fieldset {
		display: block;
		margin: 0.8em 0;
		border: 1px solid #b2bdc4;
		-moz-border-radius: 6px;
		-webkit-border-radius: 6px;
		padding: 10px;
}

.ui-popup label.label {
		display: block;
		width: 180px;
		margin: 0px 18px 0 0;
		float: left;
		clear: both;
		text-align: right;
}

.ui-popup .popup-body ul {
		list-style-type: none;
		margin: 0;
		padding: 0;
}

.ui-popup .popup-body li {
		clear: both;
		padding: 4px 0;
		vertical-align: middle;
}

.ui-popup input,
.ui-popup textarea,
.ui-popup select {
		border: 1px solid #8d99a2;
		background-color: #fff;
}

.ui-popup input[type='checkbox'] {
		margin: 10px 5px 0 0;
}

.ui-popup .popup-body .tabs {
		border-bottom: #a7b1b7;
}

.ui-popup .popup-body .tabs .active {
		
}

.ui-popup td, .ui-popup th {
		padding: 0px 3px;
}

.ui-popup .button {
		
}

.ui-popup .popup-body .popup-message-text {
		width: 100%;
		font-size: 14px;
		text-align: center;
}

.ui-popup .popup-body .tabs {
		font-size: 11px;
		padding: 8px 0 0 0;
		border-bottom: 1px solid #a7b1b7;
		overflow: hidden;
}

.ui-popup .popup-body .tabs li {
		float: left;
		padding: 0 5px 0 0;
		margin: 0 8px 0 0;
		clear: none;
}

.ui-popup .popup-body .tabs a {
		color: inherit;
		height: 28px;
		display: block;
		padding: 0 7px 0 12px;
		line-height: 28px;
}

.ui-popup .popup-body .tabs .active {
		background: url("../images/popup-tab-right.gif") no-repeat right top;
}

.ui-popup .popup-body .tabs .active a {
		color: #000;
		background: url("../images/popup-tab-left.gif") no-repeat left top;
}


/* - - - - - - - - - - - - Aruande lisamine - - - - - - - - - - - - - */

.ui-popup .page-icons-wrapper {
		overflow: auto;
		height: 248px;
}

.ui-popup .page-icons {
		list-style-type: none;
		margin: 0;
		padding: 0;
}

.ui-popup .page-icons li {
		margin: 0 0 15px 0;
		padding: 0 2px;
		width: 23%;
		display: block;
		text-align: center;
		float: left;
		clear: none;
		height: 105px;
		line-height: 1.3em;
		font-size: 0.9em;
}

.ui-popup .page-icons .page-icon {
		width: 89px;
		height: 79px;
		background: url("../images/page_types.png") no-repeat 0 0;
		margin: 0 auto;
}

.ui-popup .page-icons .page-icon.type-1 {
		background-position: 0 0;
}

.ui-popup .page-icons .page-icon.type-1:active,
.ui-popup .page-icons .active .page-icon.type-1:active
 {
		background-position: 0 -80px;
}

.ui-popup .page-icons .active .page-icon.type-1 {
		background-position: 0 -160px;
}

.ui-popup .page-icons .page-icon.type-2 {
		background-position: -90px 0;
}

.ui-popup .page-icons .page-icon.type-2:active,
.ui-popup .page-icons .active .page-icon.type-2:active
 {
		background-position: -90px -80px;
}

.ui-popup .page-icons .active .page-icon.type-2 {
		background-position: -90px -160px;
}

.ui-popup .page-icons .page-icon.type-3 {
		background-position: -180px 0;
}

.ui-popup .page-icons .page-icon.type-3:active,
.ui-popup .page-icons .active .page-icon.type-3:active
 {
		background-position: -180px -80px;
}

.ui-popup .page-icons .active .page-icon.type-3 {
		background-position: -180px -160px;
}

.ui-popup .page-icons .page-icon.type-4 {
		background-position: -270px 0;
}

.ui-popup .page-icons .page-icon.type-4:active,
.ui-popup .page-icons .active .page-icon.type-4:active
 {
		background-position: -270px -80px;
}

.ui-popup .page-icons .active .page-icon.type-4 {
		background-position: -270px -160px;
}

.ui-popup .page-icons .page-icon.type-5 {
		background-position: -360px 0;
}

.ui-popup .page-icons .page-icon.type-5:active,
.ui-popup .page-icons .active .page-icon.type-5:active
 {
		background-position: -360px -80px;
}

.ui-popup .page-icons .active .page-icon.type-5 {
		background-position: -360px -160px;
}

.ui-popup .page-icons .page-icon.type-6 {
		background-position: -450px 0;
}

.ui-popup .page-icons .page-icon.type-6:active,
.ui-popup .page-icons .active .page-icon.type-6:active
 {
		background-position: -450px -80px;
}

.ui-popup .page-icons .active .page-icon.type-6 {
		background-position: -450px -160px;
}

.ui-popup .page-icons .page-icon.type-7 {
		background-position: -540px 0;
}

.ui-popup .page-icons .page-icon.type-7:active,
.ui-popup .page-icons .active .page-icon.type-7:active
 {
		background-position: -540px -80px;
}

.ui-popup .page-icons .active .page-icon.type-7 {
		background-position: -540px -160px;
}

.ui-popup .page-icons .page-icon.type-8 {
		background-position: -630px 0;
}

.ui-popup .page-icons .page-icon.type-8:active,
.ui-popup .page-icons .active .page-icon.type-8:active
 {
		background-position: -630px -80px;
}

.ui-popup .page-icons .active .page-icon.type-8 {
		background-position: -630px -160px;
}

.ui-popup .page-icons .page-icon.type-9 {
		background-position: -720px 0;
}

.ui-popup .page-icons .page-icon.type-9:active,
.ui-popup .page-icons .active .page-icon.type-9:active
 {
		background-position: -720px -80px;
}

.ui-popup .page-icons .active .page-icon.type-9 {
		background-position: -720px -160px;
}

.ui-popup .page-icons .active {
		color: #fff;
}

.ui-popup option {
		/*border-top: 1px solid #C5CED4;*/
}

.ui-popup p {
		padding: 0;
		margin: 0 0 0 198px;
}


.ui-popup p.popup-message-text {
		margin: 0;
}

.ui-popup-table{
		text-align:left;
		font-size:12px;
		line-height:16px;
		width:100%;
		border-collapse: collapse;
	
}

.ui-popup-table tr {
		padding: 0;
		margin:0;
}

.ui-popup-table th{
		background-color:#bbc4ca;
		padding: 2px 3px;
}

.ui-popup-table tr:hover{
		background-color:#bbc4ca;
}

.ui-popup-table tr:hover .hilite {
		background: #f4d0a6;
}

.ui-popup-table td {
		padding: 2px 3px;
		margin:0;
		border-bottom: 1px solid #b4bec4;
}

.ui-popup .nav-button {
		margin-top:10px;
}

.ui-popup .nav-button .prev {
		float:left;
}

.ui-popup .nav-button .next {
		float:right;
}




/* ICO */


.ui-warning-icon {
	display: inline-block;
	width: 16px;
	height: 16px;
	background: url("../images/ico-exclamation.png") no-repeat 0 0;
	text-indent: -900em;
	margin: 0 2px;
}
#ui-success
{
	position:absolute;
	width:100%;
	z-index:900;
	top:0px;
	left:0px;
	padding:5px;
}
#ui-success div
{
	padding:20px;
}
#ui-selector
{
	margin:0;
	padding:0;
	
}
